import { ThemeSwitchService } from "../../../services/theme-switch.service";
/**
 * @ignore
 */
export declare class ThemeSwitcherComponent {
    themeSwitcherService: ThemeSwitchService;
    constructor(themeSwitcherService: ThemeSwitchService);
    onThemeChange(isDarkThemeEnabled: boolean): void;
}
